package org.springframework.boot.loader.archive;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.util.jar.JarEntry;
import org.springframework.boot.loader.archive.Archive;
import org.springframework.boot.loader.archive.JarFileArchive;

class JarFileEntry implements Archive.Entry {
  private final JarEntry jarEntry;
  
  JarFileEntry(JarEntry jarEntry) {
    this.jarEntry = jarEntry;
  }
  
  JarEntry getJarEntry() {
    return this.jarEntry;
  }
  
  public boolean isDirectory() {
    return this.jarEntry.isDirectory();
  }
  
  public String getName() {
    return this.jarEntry.getName();
  }
}
